Summary: Fedora GNOME theme
Name: fedora-gnome-theme
Version: 8.0.0
Release: 9%{?dist}
BuildArch: noarch
# No version given, no license attribution.
License: GPL+
Group: User Interface/Desktops
# There is no official upstream yet
Source0: %{name}-%{version}.tar.bz2
URL: http://www.redhat.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: nodoka-metacity-theme
Requires: gtk-nodoka-engine
Requires: fedora-icon-theme
Requires: notification-daemon-engine-nodoka
Requires: bluecurve-cursor-theme

# we require XML::Parser for our in-tree intltool
BuildRequires: perl(XML::Parser)

Obsoletes: redhat-artwork

%description
This package contains the Fedora GNOME meta theme.

%prep
%setup -q
echo 'NotificationTheme=nodoka' >> theme/index.theme.in
echo 'CursorTheme=Bluecurve' >> theme/index.theme.in
echo 'CursorSize=24' >> theme/index.theme.in

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# These are empty
rm -f ChangeLog NEWS README

# The upstream packages may gain po files at some point in the near future
%find_lang %{name} || touch %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_sysconfdir}/gtk-2.0/gtkrc
%{_datadir}/themes/Fedora

%changelog
* Mon Apr 27 2009 Matthias Clasen  <mclasen@redhat.com> - 8.0.0-9
- Add cursor theme settings matching the gconf defaults

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Matthias Clasen  <mclasen@redhat.com> - 8.0.0-7
- Only require bluecurve cursors, not the full icon theme

* Mon Aug 25 2008 Matthias Clasen  <mclasen@redhat.com> - 8.0.0-4
- Use nodoka notification theme (#460045)

* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 8.0.0-3
- fix license tag

* Fri May 23 2008 Martin Sourada <martin.sourada@gmail.com> - 8.0.0-2
- Require gtk-nodoka-engine instead of nodoka-theme-gnome (bug 447644)

* Thu Oct 11 2007 Ray Strode <rstrode@redhat.com> - 8.0.0-1
- Update to 8.0.0 to match F8 release

* Wed Oct 10 2007 Ray Strode <rstrode@redhat.com> - 1.0.2-1
- Drop requires for screensaver themes (bug 327161)

* Wed Oct 10 2007 Ray Strode <rstrode@redhat.com> - 1.0.1-1
- Fix up Requires / Obsoletes and theme file

* Tue Sep 25 2007 Ray Strode <rstrode@redhat.com> - 1.0.0-1
- Initial import, version 1.0.0
